import 'package:flutter/widgets.dart';

/// [FocusNode] but cannot have focus
///
/// Can be used to disable focus on text fields
class NoFocusNode extends FocusNode {
  NoFocusNode({
    bool skipTraversal = true,
    bool canRequestFocus = false,
    bool descendantsAreFocusable = false,
  }) : super(
            skipTraversal: skipTraversal,
            canRequestFocus: canRequestFocus,
            descendantsAreFocusable: descendantsAreFocusable);

  @override
  bool get hasFocus => false;

  @override
  bool get hasPrimaryFocus => false;
}
